package com.eyefodder.flexcover.model
{
	import flash.filesystem.File;
	
	public class CommandLineOptionsModel
	{
		
		public var metadataFile:File;
		public var coverageReportCVRFormat:File;
		public var coverageReportEMMAFormat:File;
		
		public function getErrorMessagesForHeadless():Array{
			var outArr:Array = []
			if(metadataFile==null){
				outArr.push("missing metadatafile. This can be specified using the commandline option: -coverage-metadata='/path/to/my/metadatafile.cvm'");
			}
			if(coverageReportCVRFormat==null && coverageReportEMMAFormat==null){
				outArr.push("missing output file - you need to specify at least one output format");
				
				if(coverageReportCVRFormat==null){
					outArr.push("no CVR file specified. This can be specified using the commandline option: -coverage-output='/path/to/my/outputfile.cvr'");	
				}
				
				
				if(coverageReportEMMAFormat==null){
					outArr.push("no EMMA file specified. This can be specified using the commandline option: -emma-report='/path/to/my/EMMAoutputfile.xml'");	
				}
				
			}
			
			return outArr;
		}

	}
}